aboutsummaryrefslogtreecommitdiffstats
path: root/bitbake/bin/toaster
diff options
context:
space:
mode:
authorEd Bartosh <ed.bartosh@linux.intel.com>2015-12-17 16:48:47 +0000
committerRichard Purdie <richard.purdie@linuxfoundation.org>2015-12-18 13:51:53 +0000
commit8e4acacb53ef3af83cb67676dbca8471ca5911e5 (patch)
tree5524116d96fc0693b698029d39c7fa4725c55d73 /bitbake/bin/toaster
parent847b93596dcb8bb154bada121ed5f878070fdc4b (diff)
downloadopenembedded-core-contrib-8e4acacb53ef3af83cb67676dbca8471ca5911e5.tar.gz
bitbake: toaster: check if address:port is in use
Used new management command checksocket to check if Toaster can listen on address:port. [YOCTO #8775] (Bitbake rev: 8a306ffe5a3642fe833c875362a183096a39f641) Signed-off-by: Ed Bartosh <ed.bartosh@linux.intel.com> Signed-off-by: Elliot Smith <elliot.smith@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'bitbake/bin/toaster')
-rwxr-xr-xbitbake/bin/toaster5
1 files changed, 5 insertions, 0 deletions
diff --git a/bitbake/bin/toaster b/bitbake/bin/toaster
index 1c1e029838..f43bcb167e 100755
--- a/bitbake/bin/toaster
+++ b/bitbake/bin/toaster
@@ -309,6 +309,11 @@ fi
echo "The system will $CMD."
+# check if addr:port is not in use
+if [ "$CMD" == 'start' ]; then
+ python $BBBASEDIR/lib/toaster/manage.py checksocket "0.0.0.0:$WEB_PORT" || return 1
+fi
+
# Make sure it's safe to run by checking bitbake lock
lock=1